IOF(4)

NAME
iof - IOC4 generic workstation I/O device

SYNOPSIS
iof* at pci?
com0 at iof? base 0x380
com* at iof?
dsrtc0 at iof?
iockbc* at iof?

DESCRIPTION
The iof driver provides support for the SGI IOC4-based basic I/O device on Origin 350 and Tezro systems.

The IOC4 chip provides:

com(4)
    Four serial ports.
dsrtc(4)
    Time-of-day chip.
iockbc(4)
    PS/2 keyboard and mouse interface.
wdc(4)
    WD100x compatible hard disk controller driver

SEE ALSO
com(4), dsrtc(4), intro(4), iockbc(4), pci(4)

HISTORY
The iof driver first appeared in OpenBSD 4.6.

BUGS
The ATAPI interface is not supported yet.